﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts
{
    public interface IConsignmentLogic
    {
        List<ConsignmentViewModel>? ReadList(ConsignmentSearchModel? model);
        ConsignmentViewModel? ReadElement(ConsignmentSearchModel model);
        bool Create(ConsignmentBindingModel model);
        bool Update(ConsignmentBindingModel model);
        bool Delete(ConsignmentBindingModel model);
    }
}
