﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts
{
    public interface ISellerLogic
    {
        List<SellerViewModel>? ReadList(SellerSearchModel? model);
        SellerViewModel? ReadElement(SellerSearchModel model);
        bool Create(SellerBindingModel model);
        bool Update(SellerBindingModel model);
        bool Delete(SellerBindingModel model);
    }
}
