﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StorageContracts
{
    public interface IRequestStorage
    {
        List<RequestViewModel> GetFullList();
        List<RequestViewModel> GetFilteredList(RequestSearchModel model);
        RequestViewModel? GetElement(RequestSearchModel model);
        RequestViewModel? Insert(RequestBindingModel model);
        RequestViewModel? Update(RequestBindingModel model);
        RequestViewModel? Delete(RequestBindingModel model);
    }
}
