﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StorageContracts
{
    public interface ISellerStorage
    {
        List<SellerViewModel> GetFullList();
        List<SellerViewModel> GetFilteredList(SellerSearchModel model);
        SellerViewModel? GetElement(SellerSearchModel model);
        SellerViewModel? Insert(SellerBindingModel model);
        SellerViewModel? Update(SellerBindingModel model);
        SellerViewModel? Delete(SellerBindingModel model);
    }
}
