﻿using ComputerStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.ViewModels
{
    public class EmployeeViewModel : IEmployeeModel
    {
        public int ID { get; set; }

        [DisplayName("Employee's login")]
        public string Username { get; set; } = string.Empty;

        public string Password { get; set; } = string.Empty;

        [DisplayName("Employee's first name")]
        public string? FirstName { get; set; } = string.Empty;

        [DisplayName("Employee's last name")]
        public string? LastName { get; set; } = string.Empty;

        [DisplayName("Employee's middle name")]
        public string? MiddleName { get; set; } = string.Empty;


    }
}
