﻿using ComputerStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.ViewModels
{
    public class RequestViewModel : IRequestModel
    {
        [DisplayName("Request ID")]
        public int ID { get; set; }
        [DisplayName("Order ID")]
        public int? OrderID { get; set; }
        [DisplayName("Price")]
        public double Price { get; set; }

        [DisplayName("PC ID")]
        public int? PCID { get; set; }

        [DisplayName("PC's name")]
        public string? PCName { get; set; } = string.Empty;

		public List<(IComponentModel, int)> RequestComponents { get; set; } = new();
	}
}
