﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDataModels.Models
{
    public interface IEmployeeModel : IID
    {
        [MaxLength(15)]
        string Username { get; }
        [MaxLength(20)]
        string Password { get; }
        [MaxLength(255)]
        string? FirstName { get; }
        [MaxLength(255)]
        string? LastName { get; }
        [MaxLength(255)]
        string? MiddleName { get; } 
    }
}
