﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDataModels.Models
{
    public interface IPCModel : IID
    {
        [MaxLength(255)]
        public string Name { get; }
        public double Price { get; }
        public int EmployeeID { get; }
        public int RequestID { get; }
        Dictionary<int,(IComponentModel Component,int Quantity)> PCComponents { get; }
    }
}
