﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace ComputerStoreDatabaseImplement.Migrations
{
    /// <inheritdoc />
    public partial class RelationFixesV8 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Consignments_Products_ProductID",
                table: "Consignments");

            migrationBuilder.DropIndex(
                name: "IX_Consignments_ProductID",
                table: "Consignments");

            migrationBuilder.DropColumn(
                name: "ProductID",
                table: "Consignments");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "ProductID",
                table: "Consignments",
                type: "int",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Consignments_ProductID",
                table: "Consignments",
                column: "ProductID");

            migrationBuilder.AddForeignKey(
                name: "FK_Consignments_Products_ProductID",
                table: "Consignments",
                column: "ProductID",
                principalTable: "Products",
                principalColumn: "ID");
        }
    }
}
