﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDatabaseImplement.Models
{
    public class RequestComponent
    {
        public int ID { get; set; }

        [Required]
        public int RequestID { get; set; }

        [Required]
        public int ComponentID { get; set; }

        
        public int? PCID { get; set; }

        [Required]
        public int Count { get; set; }

               
        public virtual Component Component { get; set; } 
        public virtual Request Request { get; set; } 
    }
}
