﻿using ComputerStoreDataModels.Enums;
using ComputerStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int ID { get; set; }
        public double Price { get; set; }
        public List<IConsignmentModel>? OrderConsignments { get; set; } = new();
        public List<IRequestModel>? OrderRequests { get; set; } = new();
        public OrderStatus Status { get; set; } = OrderStatus.Unknown;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public DateTime? DateImplement { get; set; }
        public int SellerID { get; set; }
    }
}
