﻿using ComputerStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BindingModels
{
    public class ProductBindingModel : IProductModel
    {
        public int ID { get; set; }
        public string Name { get; set; } = string.Empty;

        public double Price { get; set; }

        public int EmployeeID { get; set; }

        public Dictionary<int, (IComponentModel, int)> ProductComponents { get; set; } = new();
    }
}
