﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts
{
    public interface IOrderLogic
    {
        List<OrderViewModel>? ReadList(OrderSearchModel? model);
        bool CreateOrder(OrderBindingModel model);
        bool TakeOrderInProcess(OrderBindingModel model);
        bool TakeOrderReady(OrderBindingModel model);
        bool TakeOrderGiven(OrderBindingModel model);

		OrderViewModel? ReadElement(OrderSearchModel model);
		bool UpdateOrder(OrderBindingModel model);
		bool DeleteOrder(OrderBindingModel model);
	}
}
