﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts
{
    public interface IPCLogic
    {
        List<PCViewModel>? ReadList(PCSearchModel? model);

        PCViewModel? ReadElement(PCSearchModel model);

        bool Create(PCBindingModel model);
        bool Update(PCBindingModel model);
        bool Delete(PCBindingModel model);
    }
}
