﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts
{
    public interface IReportOrderLogic
    {
        ReportOrderViewModel GetPCsByOrders(ReportOrderBindingModel model);
        ReportOrderByDateViewModel GetOrdersByDate(ReportDateBindingModel model);
        void SaveOrdersToWordFile(ReportOrderBindingModel model);
        void SaveOrdersToExcelFile(ReportOrderBindingModel model);
        void SaveOrdersToPdfFile(ReportDateBindingModel model);
    }
}
