﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StorageContracts
{
    public interface IConsignmentStorage
    {
        List<ConsignmentViewModel> GetFullList();
        List<ConsignmentViewModel> GetFilteredList(ConsignmentSearchModel model);
        ConsignmentViewModel? GetElement(ConsignmentSearchModel model);
        ConsignmentViewModel? Insert(ConsignmentBindingModel model);
        ConsignmentViewModel? Update(ConsignmentBindingModel model);
        ConsignmentViewModel? Delete(ConsignmentBindingModel model);
    }
}
