﻿using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.SearchModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StorageContracts
{
    public interface IPCStorage
    {
        List<PCViewModel> GetFullList();
        List<PCViewModel> GetFilteredList(PCSearchModel model);
        PCViewModel? GetElement(PCSearchModel model);
        PCViewModel? Insert(PCBindingModel model);
        PCViewModel? Update(PCBindingModel model);
        PCViewModel? Delete(PCBindingModel model);
    }
}
