﻿using ComputerStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.ViewModels
{
    public class ConsignmentViewModel : IConsignmentModel
    {
        [DisplayName("Consignment ID")]
        public int ID { get; set; }
        [DisplayName("Order ID")]
        public int? OrderID { get; set; }
        [DisplayName("Price")]
        public double Price { get; set; }

        public Dictionary<int, (IProductModel, int)> ConsignmentProducts { get; set; } = new();
    }
}
