﻿using ComputerStoreDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.ViewModels
{
    public class ProductViewModel : IProductModel
    {
        public int ID {get; set;}

        [DisplayName("Product's name")]
        public string Name { get; set; } = string.Empty;

        [DisplayName("Product's price")]
        public double Price { get; set; }

        public int EmployeeID { get; set; }

        [DisplayName("Employee's username")]
        public string EmployeeUsername { get; set; } = string.Empty;

        public Dictionary<int, (IComponentModel, int)> ProductComponents { get; set; } = new();

        
    }
}
