﻿using ComputerStoreDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDataModels.Models
{
    public interface IOrderModel : IID
    {
        double Price { get; }
        List<IConsignmentModel>? OrderConsignments { get; }
        List<IRequestModel>? OrderRequests { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
        int SellerID { get; }
    }
}
