﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDataModels.Models
{
    public interface IProductModel : IID
    {
        public string Name { get; }
        public double Price { get; }
        public int EmployeeID { get; }
        Dictionary<int,(IComponentModel,int)> ProductComponents { get; }
    }
}
