﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace ComputerStoreDatabaseImplement.Migrations
{
    /// <inheritdoc />
    public partial class RelationsFixesV7 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_RequestComponents_PCS_PCID",
                table: "RequestComponents");

            migrationBuilder.DropIndex(
                name: "IX_RequestComponents_PCID",
                table: "RequestComponents");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateIndex(
                name: "IX_RequestComponents_PCID",
                table: "RequestComponents",
                column: "PCID");

            migrationBuilder.AddForeignKey(
                name: "FK_RequestComponents_PCS_PCID",
                table: "RequestComponents",
                column: "PCID",
                principalTable: "PCS",
                principalColumn: "ID");
        }
    }
}
