﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Runtime.ConstrainedExecution;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDatabaseImplement.Models
{
    public class ConsignmentProduct
    {
        public int ID { get; set; }
        [Required]
        public int ConsignmentID { get; set; }
        [Required]
        public int ProductID { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Consignment Consignment { get; set; } = new();
        public virtual Product Product { get; set; } = new();
    }
}
