﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreDatabaseImplement.Models
{
    public class ProductComponent
    {
        public int ID { get; set; }

        [Required]
        public int ComponentID { get; set; }

        [Required]
        public int ProductID { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Product Product { get; set; } = new();
        public virtual Component Component { get; set; } = new();

    }
}
